commit a7704b54002e6a4a356fd15c75cdac2e5d0fccba
Author: freddy77 <freddy77>
Date:   Thu Mar 19 16:02:36 2009 +0000

    avoid use of uninitialized variable

diff --git a/ChangeLog b/ChangeLog
index 136212b..f56790e 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Thu Mar 19 17:02:22 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/query.c:
+	- patch from Craig A. Berry for uninitialized variable
+
 Thu Mar 19 16:12:41 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* misc/prepare_win32.sh: no pack option
 
@@ -1436,4 +1440,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2758 2009/03/19 15:12:57 freddy77 Exp $
+$Id: ChangeLog,v 1.2759 2009/03/19 16:02:36 freddy77 Exp $
diff --git a/src/tds/query.c b/src/tds/query.c
index 91f59e3..3d227af 100644
--- a/src/tds/query.c
+++ b/src/tds/query.c
@@ -46,7 +46,7 @@
 
 #include <assert.h>
 
-TDS_RCSID(var, "$Id: query.c,v 1.234 2009/03/06 20:18:51 freddy77 Exp $");
+TDS_RCSID(var, "$Id: query.c,v 1.235 2009/03/19 16:02:36 freddy77 Exp $");
 
 static void tds_put_params(TDSSOCKET * tds, TDSPARAMINFO * info, int flags);
 static void tds7_put_query_params(TDSSOCKET * tds, const char *query, size_t query_len);
@@ -1450,7 +1450,7 @@ tds_put_data(TDSSOCKET * tds, TDSCOLUMN * curcol)
 	CHECK_TDS_EXTRA(tds);
 	CHECK_COLUMN_EXTRA(curcol);
 
-	tdsdump_log(TDS_DBG_INFO1, "tds_put_data: colsize = %d\n", (int) colsize);
+	tdsdump_log(TDS_DBG_INFO1, "tds_put_data: colsize = %d\n", (int) curcol->column_cur_size);
 
 	if (curcol->column_cur_size < 0) {
 		tdsdump_log(TDS_DBG_INFO1, "tds_put_data: null param\n");

